UnixSystem (Java SE 12 & JDK 12 )
Keywords: com.sun.security.auth.module.UnixSystem class

Module jdk.security.auth
Package com.sun.security.auth.module

## Class UnixSystem

- java.lang.Object
- - com.sun.security.auth.module.UnixSystem

-     public class UnixSystem
      extends Object

  This class implementation retrieves and makes available Unix UID/GID/groups information for the current user.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `gid` |
    `protected long[]` | `groups` |
    `protected long` | `uid` |
    `protected String` | `username` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnixSystem()` | Instantiate a `UnixSystem` and load the native library to access the underlying system information.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getGid()` | Get the GID for the current Unix user.
    `long[]` | `getGroups()` | Get the supplementary groups for the current Unix user.
    `long` | `getUid()` | Get the UID for the current Unix user.
    `String` | `getUsername()` | Get the username for the current Unix user.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### username

          protected String username

    - #### uid

          protected long uid

    - #### gid

          protected long gid

    - #### groups

          protected long[] groups

  - ### Constructor Detail

    - #### UnixSystem

          public UnixSystem()

      Instantiate a `UnixSystem` and load the native library to access the underlying system information.

  - ### Method Detail

    - #### getUsername

          public String getUsername()

      Get the username for the current Unix user.
      Returns:
        the username for the current Unix user.

    - #### getUid

          public long getUid()

      Get the UID for the current Unix user.
      Returns:
        the UID for the current Unix user.

    - #### getGid

          public long getGid()

      Get the GID for the current Unix user.
      Returns:
        the GID for the current Unix user.

    - #### getGroups

          public long[] getGroups()

      Get the supplementary groups for the current Unix user.
      Returns:
        the supplementary groups for the current Unix user.